package edu.mbhs.robot.scoutmaster9000.client.desktop.imageUpload;

import java.io.File;

/**
 * An immutable data storage for image-related information
 * @author David Kaufman
 */
public class ImageData {
	private File file;
	private byte[] data;
	private ImagePanel ip;
	
	/**
	 * Creates a new ImageData with the provided data
	 * @param file the file
	 * @param data the data
	 * @param ip the ImagePanel
	 */
	public ImageData(File file, byte[] data, ImagePanel ip) {
		this.file = file;
		this.data = data;
		this.ip = ip;
	}

	public File getFile() {
		return file;
	}

	public void setFile(File file) {
		this.file = file;
	}

	public byte[] getData() {
		return data;
	}

	public String[] getTeams() {
		return ip.getTeams();
	}

	public String getCaption() {
		return ip.getCaption();
	}
}
