package edu.mbhs.robot.scoutmaster9000.client.desktop.imageUpload;

import java.io.File;
import java.io.IOException;
import java.util.List;

/**
 * An interface to abstract the addition of selected image files to some sort of list.
 * @author David Kaufman
 *
 */
public interface ImageManager {
	/**
	 * Adds the image specified by the provided file to the list.
	 * @param file the image to add
	 * @throws IOException if there is an error reading the image from the file.
	 */
	public void addImage(File file) throws IOException;
	/**
	 * Removes the image originally specified by the provided file from the list.
	 * @param file the file representing the image to remove
	 */
	public void removeImage(File file);
	/**
	 * @return a Collection containing the ImageData for all images currently in the list
	 */
	public List<ImageData> getImageData();
}
